9.3. Encodieren ins Sony PSP Video Format
Zurück | Kapitel 9. Allgemeiner Gebrauch von MEncoder | Weiter

## 9.3. Encodieren ins Sony PSP Video Format

MEncoder unterstützt das Encodieren in das Sony PSP Video Format, allerdings gibt es, abhängig von der Version der PSP Software, unterschiedliche Beschränkungen. Wer sicher gehen möchte, sollte folgende Beschränkungen beachten:

- Bitrate: sollte 1500kbps nicht überschreiten, frühere Versionen unterstützten allerdings fast jede beliebige Bitrate, so lange der Header sagte, sie sei nicht zu hoch.

- Dimensionen: die Breite und Höhe des PSP videos sollte ein Vielfaches von 16 sein, und das Produkt Breite * Höhe muss <= 64000 sein. Unter gewissen Umständen kann es der PSP möglich sein, höhere Auflösungen abzuspielen.

- Audio: die Samplerate sollte für MPEG-4 Videos 24kHz, und für H.264 48kHz betragen.

Beispiel 9.2. Encodierung für PSP

              mencoder -ofps 30000/1001 -af lavcresample=24000 -vf harddup -of lavf \
              -oac lavc -ovc lavc -lavcopts aglobal=1:vglobal=1:vcodec=mpeg4:acodec=libfaac \
              -lavfopts format=psp \
              input.video -o output.psp

Der Titel des Videos kann folgendermaßen angepasst werden: `-info name=`MovieTitle``.

Zurück | Nach oben | Weiter
9.2. Auswahl von Eingabedatei oder -gerät | Zum Anfang | 9.4. Encodieren von 2-pass-MPEG4 ("DivX")